
CC = $(CXX)

##############################################

LIB_OBJECTS=\
	bddAutomaton.o\
	bddBdd.o\
	bddConfig.o\
	bddExpression.o\
	bddSymTab.o

SHARED_LIB_OBJECTS=$(LIB_OBJECTS:.o=.so)


LIB_SOURCES= $(LIB_OBJECTS:.o=.cpp)
ALL_SOURCES= $(LIB_SOURCES)

ALL_OBJECTS=$(LIB_OBJECTS)

###########################################

all: $(ALL_TARGETS)

###########################################

# Reset suffix list from default to empty.  This 
#   removes default rules which seem to be veeeery 
#   time consuming on the Win95 file system.
.SUFFIXES:

%.o: %.cpp
	$(CC) $(CFLAGS) -c $*.cpp

%.so: %.cpp
	$(CC) $(SHARED_CFLAGS) -o $*.so -c $*.cpp

%.o: %.c
	$(CC) $(CFLAGS) -c $*.c

%.so: %.c
	$(CC) $(SHARED_CFLAGS) -o $*.so -c $*.c

bzero.o: bzero.o
	$(CC) -c bzero.c

%.exe: %.o libddm.so.1
	$(CC) -o $*.exe $*.o $(LFLAGS)

libbdd.a: $(LIB_OBJECTS)
	ar -rs libbdd.a $(LIB_OBJECTS)

clean:
	rm -f *.exe *.o *.so *~ ttt libbdd.* *.da *.bb *.bbg *.gcov *.rpo

cleanall:
	make clean

include dependencies

dep: $(ALL_SOURCES)
	rm -f dependencies
	touch dependencies
	for i in $(ALL_SOURCES); do \
		echo Processing  $$i; \
		g++ $(CFLAGS) -MM $$i >> dependencies; \
		g++ $(CFLAGS) -MM $$i | sed "s/\.o:/\.so:/" >> dependencies; \
	done

##############################################

